using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioUfCepNSS
    {

        public IList<entidadeUfCepNSS> Select(entidadeUfCepNSS objUfCepNSS)
        {
            dalUfCepNSS dalUfCepNSS = null;

            var lstUfCepNSS = new List<entidadeUfCepNSS>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUfCepNSS = new dalUfCepNSS();
                dt = dalUfCepNSS.Select(objUfCepNSS);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUfCepNSS = regraNegocioGlobal.ConvertDataTable<entidadeUfCepNSS>(dt);

                return lstUfCepNSS;
            }
            catch (Exception)
            {
                throw;
            }
        }


    }
}
